diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 432cdd7e..4f3b1449 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -789,56 +794,57 @@
         'columns': _.sortBy(columns, function(c) {
           return c.cell_priority;
         }),
-        'schema': schema
+        'schema': schema,
       };
     };
 
-  var UniqueColCollectionControl = Backform.UniqueColCollectionControl = Backform.Control.extend({
+  Backform.UniqueColCollectionControl = Backform.Control.extend({
     initialize: function() {
-        Backform.Control.prototype.initialize.apply(this, arguments);
+      Backform.Control.prototype.initialize.apply(this, arguments);
 
-        var uniqueCol = this.field.get('uniqueCol') || [],
-            m = this.field.get('model'),
-            schema = m.prototype.schema || m.__super__.schema,
-            columns = [],
-            self = this;
+      var uniqueCol = this.field.get('uniqueCol') || [],
+        m = this.field.get('model'),
+        schema = m.prototype.schema || m.__super__.schema,
+        columns = [],
+        self = this;
 
-        _.each(schema, function(s) {
-          columns.push(s.id);
-        });
+      _.each(schema, function(s) {
+        columns.push(s.id);
+      });
 
-        // Check if unique columns provided are also in model attributes.
-        if (uniqueCol.length > _.intersection(columns, uniqueCol).length) {
-            var errorMsg = "Developer: Unique columns [ "+_.difference(uniqueCol, columns)+" ] not found in collection model [ " + columns +" ]."
-            alert (errorMsg);
-        }
+      // Check if unique columns provided are also in model attributes.
+      if (uniqueCol.length > _.intersection(columns, uniqueCol).length) {
+        var errorMsg = 'Developer: Unique columns [ ' + _.difference(uniqueCol, columns) + ' ] not found in collection model [ ' + columns + ' ].';
+        alert(errorMsg);
+      }
 
-        var collection = self.collection = self.model.get(self.field.get('name'));
-
-        if (!collection) {
-          collection = self.collection = new (pgAdmin.Browser.Node.Collection)(
-              null,
-              {
-                model: self.field.get('model'),
-                silent: true,
-                handler: self.model,
-                top: self.model.top || self.model,
-                attrName: self.field.get('name')
-              });
-          self.model.set(self.field.get('name'), collection, {silent: true});
-        }
+      var collection = self.collection = self.model.get(self.field.get('name'));
 
-        if (this.field.get('version_compatible')) {
-          self.listenTo(collection, "add", self.collectionChanged);
-          self.listenTo(collection, "change", self.collectionChanged);
-        }
+      if (!collection) {
+        collection = self.collection = new(pgAdmin.Browser.Node.Collection)(
+          null, {
+            model: self.field.get('model'),
+            silent: true,
+            handler: self.model,
+            top: self.model.top || self.model,
+            attrName: self.field.get('name'),
+          });
+        self.model.set(self.field.get('name'), collection, {
+          silent: true,
+        });
+      }
+
+      if (this.field.get('version_compatible')) {
+        self.listenTo(collection, 'add', self.collectionChanged);
+        self.listenTo(collection, 'change', self.collectionChanged);
+      }
     },
     cleanup: function() {
-      this.stopListening(this.collection, "change", this.collectionChanged);
+      this.stopListening(this.collection, 'change', this.collectionChanged);
 
       if (this.field.get('version_compatible')) {
-        this.stopListening(self.collection, "add", this.collectionChanged);
-        this.stopListening(self.collection, "change", this.collectionChanged);
+        this.stopListening(self.collection, 'add', this.collectionChanged);
+        this.stopListening(self.collection, 'change', this.collectionChanged);
       }
       if (this.grid) {
         this.grid.remove();
@@ -848,36 +854,35 @@
     },
     collectionChanged: function(newModel, coll, op) {
       var uniqueCol = this.field.get('uniqueCol') || [],
-          uniqueChangedAttr = [],
-          self = this;
+        uniqueChangedAttr = [],
+        self = this;
       // Check if changed model attributes are also in unique columns. And then only check for uniqueness.
       if (newModel.attributes) {
         _.each(uniqueCol, function(col) {
-            if (_.has(newModel.attributes,col))
-            {
-               uniqueChangedAttr.push(col);
-            }
+          if (_.has(newModel.attributes, col)) {
+            uniqueChangedAttr.push(col);
+          }
         });
-        if(uniqueChangedAttr.length == 0) {
-            return;
+        if (uniqueChangedAttr.length == 0) {
+          return;
         }
       } else {
         return;
       }
 
       var collection = this.model.get(this.field.get('name'));
-      this.stopListening(collection, "change", this.collectionChanged);
+      this.stopListening(collection, 'change', this.collectionChanged);
       // Check if changed attribute's value of new/updated model also exist for another model in collection.
       // If duplicate value exists then set the attribute's value of new/updated model to its previous values.
       var m = undefined,
-          oldModel = undefined;
+        oldModel = undefined;
       collection.each(function(model) {
         if (newModel != model) {
-          var duplicateAttrValues = []
+          var duplicateAttrValues = [];
           _.each(uniqueCol, function(attr) {
             var attrValue = newModel.get(attr);
             if (!_.isUndefined(attrValue) && attrValue == model.get(attr)) {
-              duplicateAttrValues.push(attrValue)
+              duplicateAttrValues.push(attrValue);
             }
           });
           if (duplicateAttrValues.length == uniqueCol.length) {
@@ -906,16 +911,16 @@
           var idx = collection.indexOf(oldModel);
           if (idx > -1) {
             var newRow = self.grid.body.rows[idx].$el;
-            newRow.addClass("new");
+            newRow.addClass('new');
             $(newRow).pgMakeVisible('backform-tab');
             setTimeout(function() {
-              newRow.removeClass("new");
-              }, 3000);
+              newRow.removeClass('new');
+            }, 3000);
           }
         }
       }
 
-      this.listenTo(collection, "change", this.collectionChanged);
+      this.listenTo(collection, 'change', this.collectionChanged);
     },
     render: function() {
       // Clean up existing elements
@@ -924,36 +929,38 @@
       this.$el.empty();
 
       var field = _.defaults(this.field.toJSON(), this.defaults),
-          attributes = this.model.toJSON(),
-          attrArr = field.name.split('.'),
-          name = attrArr.shift(),
-          path = attrArr.join('.'),
-          rawValue = this.keyPathAccessor(attributes[name], path),
-          data = _.extend(field, {
-            rawValue: rawValue,
-            value: this.formatter.fromRaw(rawValue, this.model),
-            attributes: attributes,
-            formatter: this.formatter
-           }),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+        attributes = this.model.toJSON(),
+        attrArr = field.name.split('.'),
+        name = attrArr.shift(),
+        path = attrArr.join('.'),
+        rawValue = this.keyPathAccessor(attributes[name], path),
+        data = _.extend(field, {
+          rawValue: rawValue,
+          value: this.formatter.fromRaw(rawValue, this.model),
+          attributes: attributes,
+          formatter: this.formatter,
+        }),
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       // Evaluate the disabled, visible, required, canAdd, & canDelete option
       _.extend(data, {
         disabled: (field.version_compatible &&
-                   evalF.apply(this.field, [data.disabled, data, this.model])
-                   ),
-        visible:  evalF.apply(this.field, [data.visible, data, this.model]),
+          evalF.apply(this.field, [data.disabled, data, this.model])
+        ),
+        visible: evalF.apply(this.field, [data.visible, data, this.model]),
         required: evalF.apply(this.field, [data.required, data, this.model]),
         canAdd: (field.version_compatible &&
           evalF.apply(this.field, [data.canAdd, data, this.model])
-          ),
+        ),
         canAddRow: data.canAddRow,
         canDelete: evalF.apply(this.field, [data.canDelete, data, this.model]),
-        canEdit: evalF.apply(this.field, [data.canEdit, data, this.model])
+        canEdit: evalF.apply(this.field, [data.canEdit, data, this.model]),
+      });
+      _.extend(data, {
+        add_label: '',
       });
-      _.extend(data, {add_label: ""});
 
       // This control is not visible, we should remove it.
       if (!data.visible) {
@@ -973,14 +980,15 @@
     },
     showGridControl: function(data) {
       var self = this,
-          gridHeader = _.template([
+        gridHeader = _.template([
           '<div class="subnode-header">',
           '  <label class="control-label pg-el-sm-10"><%-label%></label>',
           '  <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%>><%-add_label%></button>',
-          '</div>'].join("\n")),
+          '</div>',
+        ].join('\n')),
         gridBody = $('<div class="pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode"></div>').append(
-            gridHeader(data)
-            );
+          gridHeader(data)
+        );
 
       // Clean up existing grid if any (in case of re-render)
       if (self.grid) {
@@ -992,35 +1000,40 @@
       }
 
       var subnode = data.subnode.schema ? data.subnode : data.subnode.prototype,
-          gridSchema = Backform.generateGridColumnsFromModel(
-            data.node_info, subnode, this.field.get('mode'), data.columns
-            );
+        gridSchema = Backform.generateGridColumnsFromModel(
+          data.node_info, subnode, this.field.get('mode'), data.columns
+        );
 
       // Set visibility of Add button
       if (data.mode == 'properties') {
-        $(gridBody).find("button.add").remove();
+        $(gridBody).find('button.add').remove();
       }
 
       // Insert Delete Cell into Grid
       if (!data.disabled && data.canDelete) {
-          gridSchema.columns.unshift({
-            name: "pg-backform-delete", label: "",
-            cell: Backgrid.Extension.DeleteCell,
-            editable: false, cell_priority: -1,
-            canDeleteRow: data.canDeleteRow
-          });
+        gridSchema.columns.unshift({
+          name: 'pg-backform-delete',
+          label: '',
+          cell: Backgrid.Extension.DeleteCell,
+          editable: false,
+          cell_priority: -1,
+          canDeleteRow: data.canDeleteRow,
+        });
       }
 
       // Insert Edit Cell into Grid
       if (data.disabled == false && data.canEdit) {
-          var editCell = Backgrid.Extension.ObjectCell.extend({
-            schema: gridSchema.schema
-          });
+        var editCell = Backgrid.Extension.ObjectCell.extend({
+          schema: gridSchema.schema,
+        });
 
-          gridSchema.columns.unshift({
-            name: "pg-backform-edit", label: "", cell : editCell,
-            cell_priority: -2, canEditRow: data.canEditRow
-          });
+        gridSchema.columns.unshift({
+          name: 'pg-backform-edit',
+          label: '',
+          cell: editCell,
+          cell_priority: -2,
+          canEditRow: data.canEditRow,
+        });
       }
 
       var collection = this.model.get(data.name);
@@ -1029,30 +1042,30 @@
         var that = this,
           cell = args[0];
         // Search for any other rows which are open.
-        this.each(function(m){
+        this.each(function(m) {
           // Check if row which we are about to close is not current row.
           if (cell.model != m) {
             var idx = that.indexOf(m);
             if (idx > -1) {
               var row = self.grid.body.rows[idx],
-                  editCell = row.$el.find(".subnode-edit-in-process").parent();
+                editCell = row.$el.find('.subnode-edit-in-process').parent();
               // Only close row if it's open.
-              if (editCell.length > 0){
+              if (editCell.length > 0) {
                 var event = new Event('click');
                 editCell[0].dispatchEvent(event);
               }
             }
           }
         });
-      }
+      };
       // Listen for any row which is about to enter in edit mode.
-      collection.on( "enteringEditMode", cellEditing, collection);
+      collection.on('enteringEditMode', cellEditing, collection);
 
       // Initialize a new Grid instance
-      var grid = self.grid = new Backgrid.Grid({
+      self.grid = new Backgrid.Grid({
         columns: gridSchema.columns,
         collection: collection,
-        className: "backgrid table-bordered"
+        className: 'backgrid table-bordered',
       });
 
       // Render subNode grid
@@ -1060,66 +1073,66 @@
 
       // Combine Edit and Delete Cell
       if (data.canDelete && data.canEdit) {
-        $(subNodeGrid).find("th.pg-backform-delete").remove();
-        $(subNodeGrid).find("th.pg-backform-edit").attr("colspan", "2");
+        $(subNodeGrid).find('th.pg-backform-delete').remove();
+        $(subNodeGrid).find('th.pg-backform-edit').attr('colspan', '2');
       }
 
-      var $dialog =  gridBody.append(subNodeGrid);
+      var $dialog = gridBody.append(subNodeGrid);
 
       // Add button callback
       if (!(data.disabled || data.canAdd == false)) {
         $dialog.find('button.add').first().click(function(e) {
           e.preventDefault();
           var canAddRow = _.isFunction(data.canAddRow) ?
-                            data.canAddRow.apply(self, [self.model]) : true;
+            data.canAddRow.apply(self, [self.model]) : true;
           if (canAddRow) {
-              // Close any existing expanded row before adding new one.
-              _.each(self.grid.body.rows, function(row){
-                var editCell = row.$el.find(".subnode-edit-in-process").parent();
-                // Only close row if it's open.
-                if (editCell.length > 0){
-                  var event = new Event('click');
-                  editCell[0].dispatchEvent(event);
-                }
-              });
+            // Close any existing expanded row before adding new one.
+            _.each(self.grid.body.rows, function(row) {
+              var editCell = row.$el.find('.subnode-edit-in-process').parent();
+              // Only close row if it's open.
+              if (editCell.length > 0) {
+                var event = new Event('click');
+                editCell[0].dispatchEvent(event);
+              }
+            });
 
-              var allowMultipleEmptyRows = !!self.field.get('allowMultipleEmptyRows');
-
-              // If allowMultipleEmptyRows is not set or is false then don't allow second new empty row.
-              // There should be only one empty row.
-              if (!allowMultipleEmptyRows && collection) {
-                var isEmpty = false;
-                collection.each(function(model) {
-                  var modelValues = [];
-                  _.each(model.attributes, function(val, key) {
-                    modelValues.push(val);
-                  })
-                  if(!_.some(modelValues, _.identity)) {
-                    isEmpty = true;
-                  }
+            var allowMultipleEmptyRows = !!self.field.get('allowMultipleEmptyRows');
+
+            // If allowMultipleEmptyRows is not set or is false then don't allow second new empty row.
+            // There should be only one empty row.
+            if (!allowMultipleEmptyRows && collection) {
+              var isEmpty = false;
+              collection.each(function(model) {
+                var modelValues = [];
+                _.each(model.attributes, function(val) {
+                  modelValues.push(val);
                 });
-                if(isEmpty) {
-                  return false;
+                if (!_.some(modelValues, _.identity)) {
+                  isEmpty = true;
                 }
+              });
+              if (isEmpty) {
+                return false;
               }
+            }
 
-              $(self.grid.body.$el.find($("tr.new"))).removeClass("new")
-              var m = new (data.model) (null, {
-                silent: true,
-                handler: collection,
-                top: self.model.top || self.model,
-                collection: collection,
-                node_info: self.model.node_info
-              });
-              collection.add(m);
+            $(self.grid.body.$el.find($('tr.new'))).removeClass('new');
+            var m = new(data.model)(null, {
+              silent: true,
+              handler: collection,
+              top: self.model.top || self.model,
+              collection: collection,
+              node_info: self.model.node_info,
+            });
+            collection.add(m);
 
-              var idx = collection.indexOf(m),
-                  newRow = self.grid.body.rows[idx].$el;
+            var idx = collection.indexOf(m),
+              newRow = self.grid.body.rows[idx].$el;
 
-              newRow.addClass("new");
-              $(newRow).pgMakeVisible('backform-tab');
+            newRow.addClass('new');
+            $(newRow).pgMakeVisible('backform-tab');
 
-              return false;
+            return false;
           }
         });
       }
@@ -1127,61 +1140,65 @@
       return $dialog;
     },
     clearInvalid: function() {
-      this.$el.removeClass("subnode-error");
-      this.$el.find(".pgadmin-control-error-message").remove();
+      this.$el.removeClass('subnode-error');
+      this.$el.find('.pgadmin-control-error-message').remove();
       return this;
     },
     updateInvalid: function() {
       var self = this,
-      errorModel = this.model.errorModel;
+        errorModel = this.model.errorModel;
 
       if (!(errorModel instanceof Backbone.Model)) return this;
 
       this.clearInvalid();
 
-      this.$el.find('.subnode-body').each(function(ix, el) {
-        var error = self.keyPathAccessor(errorModel.toJSON(), self.field.get('name'));
+      this.$el.find('.subnode-body').each(function() {
+        var error = self.keyPathAccessor(
+          errorModel.toJSON(), self.field.get('name')
+        );
 
         if (_.isEmpty(error)) return;
 
-        self.$el.addClass("subnode-error").append(
-          $("<div></div>").addClass('pgadmin-control-error-message pg-el-xs-offset-4 pg-el-xs-8 help-block').text(error)
-          );
+        self.$el.addClass('subnode-error').append(
+          $('<div></div>').addClass(
+            'pgadmin-control-error-message pg-el-xs-offset-4 pg-el-xs-8 help-block'
+          ).text(error)
+        );
       });
-    }
+    },
   });
 
-  var SubNodeCollectionControl = Backform.SubNodeCollectionControl = Backform.Control.extend({
+  Backform.SubNodeCollectionControl = Backform.Control.extend({
     row: Backgrid.Row,
     render: function() {
       var field = _.defaults(this.field.toJSON(), this.defaults),
-          attributes = this.model.toJSON(),
-          attrArr = field.name.split('.'),
-          name = attrArr.shift(),
-          path = attrArr.join('.'),
-          rawValue = this.keyPathAccessor(attributes[name], path),
-          data = _.extend(field, {
-            rawValue: rawValue,
-            value: this.formatter.fromRaw(rawValue, this.model),
-            attributes: attributes,
-            formatter: this.formatter
-           }),
-          evalF = function(f, d, m) {
-            return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
-          };
+        attributes = this.model.toJSON(),
+        attrArr = field.name.split('.'),
+        name = attrArr.shift(),
+        path = attrArr.join('.'),
+        rawValue = this.keyPathAccessor(attributes[name], path),
+        data = _.extend(field, {
+          rawValue: rawValue,
+          value: this.formatter.fromRaw(rawValue, this.model),
+          attributes: attributes,
+          formatter: this.formatter,
+        }),
+        evalF = function(f, d, m) {
+          return (_.isFunction(f) ? !!f.apply(d, [m]) : !!f);
+        };
 
       // Evaluate the disabled, visible, required, canAdd, cannEdit & canDelete option
       _.extend(data, {
         disabled: evalF(data.disabled, data, this.model),
-        visible:  evalF(data.visible, data, this.model),
+        visible: evalF(data.visible, data, this.model),
         required: evalF(data.required, data, this.model),
         canAdd: evalF(data.canAdd, data, this.model),
         canAddRow: data.canAddRow,
         canEdit: evalF(data.canEdit, data, this.model),
-        canDelete: evalF(data.canDelete, data, this.model)
+        canDelete: evalF(data.canDelete, data, this.model),
       });
       // Show Backgrid Control
-      var grid = (data.subnode == undefined) ? "" : this.showGridControl(data);
+      var grid = (data.subnode == undefined) ? '' : this.showGridControl(data);
 
       // Clean up first
       this.$el.removeClass(Backform.hiddenClassName);
@@ -1202,15 +1219,14 @@
       this.clearInvalid();
 
       var attrArr = self.field.get('name').split('.'),
-        name = attrArr.shift(),
         path = attrArr.join('.'),
         error = self.keyPathAccessor(errorModel.toJSON(), path);
 
       if (_.isEmpty(error)) return;
 
       self.$el.addClass('subnode-error').append(
-        $("<div></div>").addClass('pgadmin-control-error-message pg-el-xs-offset-4 pg-el-xs-8 help-block').text(error)
-        );
+        $('<div></div>').addClass('pgadmin-control-error-message pg-el-xs-offset-4 pg-el-xs-8 help-block').text(error)
+      );
     },
     cleanup: function() {
       // Clean up existing grid if any (in case of re-render)
@@ -1218,27 +1234,28 @@
         this.grid.remove();
       }
       if (this.collection) {
-        this.collection.off( "enteringEditMode");
+        this.collection.off('enteringEditMode');
       }
     },
     clearInvalid: function() {
       this.$el.removeClass('subnode-error');
-      this.$el.find(".pgadmin-control-error-message").remove();
+      this.$el.find('.pgadmin-control-error-message').remove();
       return this;
     },
     showGridControl: function(data) {
       var self = this,
-          gridHeader = ["<div class='subnode-header'>",
-          "  <label class='control-label pg-el-sm-10'>" + data.label + "</label>" ,
-          "  <button class='btn-sm btn-default add fa fa-plus'></button>",
-          "</div>"].join("\n"),
-        gridBody = $("<div class='pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode'></div>").append(gridHeader);
+        gridHeader = ['<div class=\'subnode-header\'>',
+          '  <label class=\'control-label pg-el-sm-10\'>' + data.label + '</label>',
+          '  <button class=\'btn-sm btn-default add fa fa-plus\'></button>',
+          '</div>',
+        ].join('\n'),
+        gridBody = $('<div class=\'pgadmin-control-group backgrid form-group pg-el-xs-12 object subnode\'></div>').append(gridHeader);
 
       var subnode = data.subnode.schema ? data.subnode : data.subnode.prototype,
-          gridSchema = Backform.generateGridColumnsFromModel(
-            data.node_info, subnode, this.field.get('mode'), data.columns, data.schema_node
-            ),
-          pgBrowser = window.pgAdmin.Browser;
+        gridSchema = Backform.generateGridColumnsFromModel(
+          data.node_info, subnode, this.field.get('mode'), data.columns, data.schema_node
+        ),
+        pgBrowser = window.pgAdmin.Browser;
 
       // Clean up existing grid if any (in case of re-render)
       if (self.grid) {
@@ -1247,76 +1264,84 @@
 
       // Set visibility of Add button
       if (data.disabled || data.canAdd == false) {
-        $(gridBody).find("button.add").remove();
+        $(gridBody).find('button.add').remove();
       }
 
       // Insert Delete Cell into Grid
       if (data.disabled == false && data.canDelete) {
-          gridSchema.columns.unshift({
-            name: "pg-backform-delete", label: "",
-            cell: Backgrid.Extension.DeleteCell,
-            editable: false, cell_priority: -1,
-            canDeleteRow: data.canDeleteRow,
-            customDeleteMsg: data.customDeleteMsg,
-            customDeleteTitle: data.customDeleteTitle
-          });
+        gridSchema.columns.unshift({
+          name: 'pg-backform-delete',
+          label: '',
+          cell: Backgrid.Extension.DeleteCell,
+          editable: false,
+          cell_priority: -1,
+          canDeleteRow: data.canDeleteRow,
+          customDeleteMsg: data.customDeleteMsg,
+          customDeleteTitle: data.customDeleteTitle,
+        });
       }
 
       // Insert Edit Cell into Grid
       if (data.disabled == false && data.canEdit) {
-          var editCell = Backgrid.Extension.ObjectCell.extend({
-            schema: gridSchema.schema
+        var editCell = Backgrid.Extension.ObjectCell.extend({
+            schema: gridSchema.schema,
           }),
           canEdit = self.field.has('canEdit') &&
           self.field.get('canEdit') || true;
 
-          gridSchema.columns.unshift({
-            name: "pg-backform-edit", label: "", cell : editCell,
-            cell_priority: -2, editable: canEdit,
-            canEditRow: data.canEditRow
-          });
+        gridSchema.columns.unshift({
+          name: 'pg-backform-edit',
+          label: '',
+          cell: editCell,
+          cell_priority: -2,
+          editable: canEdit,
+          canEditRow: data.canEditRow,
+        });
       }
 
       var collection = self.model.get(data.name);
 
       if (!collection) {
-        collection = new (pgBrowser.Node.Collection)(null, {
+        collection = new(pgBrowser.Node.Collection)(null, {
           handler: self.model.handler || self.model,
-          model: data.model, top: self.model.top || self.model,
-          silent: true
+          model: data.model,
+          top: self.model.top || self.model,
+          silent: true,
+        });
+        self.model.set(data.name, collection, {
+          silent: true,
         });
-        self.model.set(data.name, collection, {silent: true});
       }
 
       var cellEditing = function(args) {
         var self = this,
           cell = args[0];
         // Search for any other rows which are open.
-        this.each(function(m){
+        this.each(function(m) {
           // Check if row which we are about to close is not current row.
           if (cell.model != m) {
             var idx = self.indexOf(m);
             if (idx > -1) {
               var row = grid.body.rows[idx],
-                  editCell = row.$el.find(".subnode-edit-in-process").parent();
+                editCell = row.$el.find('.subnode-edit-in-process').parent();
               // Only close row if it's open.
-              if (editCell.length > 0){
+              if (editCell.length > 0) {
                 var event = new Event('click');
                 editCell[0].dispatchEvent(event);
               }
             }
           }
         });
-      }
+      };
       // Listen for any row which is about to enter in edit mode.
-      collection.on( "enteringEditMode", cellEditing, collection);
+      collection.on('enteringEditMode', cellEditing, collection);
 
       // Initialize a new Grid instance
       var grid = self.grid = new Backgrid.Grid({
-          columns: gridSchema.columns,
-          collection: collection,
-          row: this.row,
-          className: "backgrid table-bordered"
+        columns: gridSchema.columns,
+        collection: collection,
+        row: this.row,
+        className: 'backgrid table-bordered',
       });
 
       // Render subNode grid
@@ -1324,23 +1349,23 @@
 
       // Combine Edit and Delete Cell
       if (data.canDelete && data.canEdit) {
-        $(subNodeGrid).find("th.pg-backform-delete").remove();
-        $(subNodeGrid).find("th.pg-backform-edit").attr("colspan", "2");
+        $(subNodeGrid).find('th.pg-backform-delete').remove();
+        $(subNodeGrid).find('th.pg-backform-edit').attr('colspan', '2');
       }
 
-      var $dialog =  gridBody.append(subNodeGrid);
+      var $dialog = gridBody.append(subNodeGrid);
 
       // Add button callback
       $dialog.find('button.add').click(function(e) {
-         e.preventDefault();
+        e.preventDefault();
         var canAddRow = _.isFunction(data.canAddRow) ?
-                            data.canAddRow.apply(self, [self.model]) : true;
+          data.canAddRow.apply(self, [self.model]) : true;
         if (canAddRow) {
           // Close any existing expanded row before adding new one.
-          _.each(grid.body.rows, function(row){
-            var editCell = row.$el.find(".subnode-edit-in-process").parent();
+          _.each(grid.body.rows, function(row) {
+            var editCell = row.$el.find('.subnode-edit-in-process').parent();
             // Only close row if it's open.
-            if (editCell.length > 0){
+            if (editCell.length > 0) {
               var event = new Event('click');
               editCell[0].dispatchEvent(event);
             }
@@ -1349,8 +1374,8 @@
           grid.insertRow({});
 
           var newRow = $(grid.body.rows[collection.length - 1].$el);
-          newRow.attr("class", "new").click(function(e) {
-            $(this).attr("class", "editable");
+          newRow.attr('class', 'new').click(function() {
+            $(this).attr('class', 'editable');
           });
           $(newRow).pgMakeVisible('backform-tab');
           return false;
@@ -1358,7 +1383,7 @@
       });
 
       return $dialog;
-    }
+    },
   });
 
   /*
@@ -1368,12 +1393,12 @@
    * When the user clicks on the SQL tab, we will send the modified data to the
    * server and fetch the SQL for it.
    */
-  var SqlTabControl = Backform.SqlTabControl = Backform.Control.extend({
+  Backform.SqlTabControl = Backform.Control.extend({
     defaults: {
-      label: "",
-      controlsClassName: "pgadmin-controls pg-el-sm-12 SQL",
+      label: '',
+      controlsClassName: 'pgadmin-controls pg-el-sm-12 SQL',
       extraClasses: [],
-      helpMessage: null
+      helpMessage: null,
     },
     template: _.template([
       '<div class="<%=controlsClassName%>">',
@@ -1381,8 +1406,8 @@
       '  <% if (helpMessage && helpMessage.length) { %>',
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
-      '</div>'
-    ].join("\n")),
+      '</div>',
+    ].join('\n')),
     /*
      * Initialize the SQL Tab control properly
      */
@@ -1396,7 +1421,7 @@
       _.bindAll(this, 'onTabChange', 'onPanelResized');
     },
     getValueFromDOM: function() {
-        return this.formatter.toRaw(this.$el.find("textarea").val(), this.model);
+      return this.formatter.toRaw(this.$el.find('textarea').val(), this.model);
     },
     render: function() {
       if (this.sqlCtrl) {
